<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{70d2cf38-b4f1-4c91-ae22-678353175dcd}</ProjectGuid>
    <Keyword>Linux</Keyword>
    <RootNamespace>ServerSystemStarter</RootNamespace>
    <MinimumVisualStudioVersion>15.0</MinimumVisualStudioVersion>
    <ApplicationType>Linux</ApplicationType>
    <ApplicationTypeRevision>1.0</ApplicationTypeRevision>
    <TargetLinuxPlatform>Generic</TargetLinuxPlatform>
    <LinuxProjectType>{D51BCBC9-82E9-4017-911E-C93873C4EA2B}</LinuxProjectType>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <UseDebugLibraries>true</UseDebugLibraries>
    <RemoteRootDir>/home/kolja/projects</RemoteRootDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <UseDebugLibraries>false</UseDebugLibraries>
    <RemoteRootDir>/home/kolja/projects</RemoteRootDir>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Label="Shared" />
  <ImportGroup Label="PropertySheets" />
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <TargetExt />
    <RemoteProjectDir>$(RemoteRootDir)/Server/Startup/debug</RemoteProjectDir>
    <IncludePath>..\..\..\..\Allgemein\Framework;..\..\..\..\Allgemein\Network\Network;..\..\..\..\Allgemein\sql\sql;../../../Framework/debug;../../../Network/debug/Network;../../../sql/debug/sql;$(IncludePath)</IncludePath>
    <OutDir>$(RemoteRootDir)/Server/Startup/debug/</OutDir>
    <IntDir>$(RemoteRootDir)/Server/Startup/debug/</IntDir>
    <TargetName>Startup</TargetName>
    <RemoteTargetPath>$(RemoteProjectDir)/$(TargetName)$(TargetExt)</RemoteTargetPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <RemoteProjectDir>$(RemoteRootDir)/Server/Startup/release</RemoteProjectDir>
    <IncludePath>..\..\..\..\Allgemein\Framework;../../../Framework/release;..\..\..\..\Allgemein\Network\Network;../../../Network/release/Network;..\..\..\..\Allgemein\sql\sql;../../../sql/release/sql;$(IncludePath)</IncludePath>
    <OutDir>$(RemoteRootDir)/Server/Startup/release/</OutDir>
    <IntDir>$(RemoteRootDir)/Server/Startup/release/</IntDir>
    <TargetExt />
    <RemoteTargetPath>$(RemoteProjectDir)/$(TargetName)$(TargetExt)</RemoteTargetPath>
  </PropertyGroup>
  <ItemGroup>
    <ClCompile Include="Quelldateien\Start.cpp" />
  </ItemGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Link>
      <LibraryDependencies>Framework;Network;SQL;pq;pthread;ssl</LibraryDependencies>
      <AdditionalOptions>-Wl,-rpath,../lib %(AdditionalOptions)</AdditionalOptions>
      <AdditionalLibraryDirectories>$(RemoteRootDir)/sql/release;$(RemoteRootDir)/Network/release;$(RemoteRootDir)/Framework/release;/usr/lib/;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <OutputFile>$(RemoteProjectDir)/$(TargetName)$(TargetExt)</OutputFile>
    </Link>
    <ClCompile>
      <AdditionalIncludeDirectories>$(RemoteRootDir)/Framework/release;$(RemoteRootDir)/Network/release;$(RemoteRootDir)/sql/release;%(ClCompile.AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Link>
      <LibraryDependencies>dbgFramework;dbgNetwork;dbgSQL;pq;pthread;ssl</LibraryDependencies>
      <AdditionalLibraryDirectories>$(RemoteRootDir)/sql/debug;$(RemoteRootDir)/Network/debug;$(RemoteRootDir)/Framework/debug;/usr/lib/;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalOptions>-Wl,-rpath,../lib %(AdditionalOptions)</AdditionalOptions>
      <OutputFile>$(RemoteProjectDir)/$(TargetName)$(TargetExt)</OutputFile>
    </Link>
    <ClCompile>
      <UndefinePreprocessorDefinitions>
      </UndefinePreprocessorDefinitions>
      <PreprocessorDefinitions>_DEBUG</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(RemoteRootDir)/Framework/debug;$(RemoteRootDir)/Network/debug;$(RemoteRootDir)/sql/debug;%(ClCompile.AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets" />
</Project>